import dataclasses
from typing import Any

from obspy import UTCDateTime


def packet_reader_placeholder(*args: Any, **kwargs: Any) -> None:
    """
    Placeholder function to be used in place of an RT130 packet reader
    function. This function immediately returns None.
    """
    return None


class RT130ParseError(Exception):
    pass


@dataclasses.dataclass
class PacketHeader:
    packet_type: str
    experiment_number: int
    unit_id: str
    time: UTCDateTime
    byte_count: int
    packet_sequence: int
